<?php
/**
 * Themetwo functions and definitions
 *
 *
 * @package innovax
 */

/** Plugin Auto Install **/
require_once ('inc/class-tgm-plugin-activation.php');
include('inc/plugin-install.php');

/** enqueue assets **/
function innovax_resources() {
wp_enqueue_style('style',get_Stylesheet_uri());
wp_enqueue_style('bootstrap',get_template_directory_uri() . '/css/bootstrap.min.css');
wp_enqueue_script('bootstrap',get_template_directory_uri() . '/js/bootstrap.min.js');
wp_enqueue_script('bootstrap',get_template_directory_uri() . '/js/jquery.min.js');
wp_enqueue_script( 'custom-script', get_stylesheet_directory_uri() . '/js/back-to-top.js', array( 'jquery' ) );
wp_enqueue_style( 'Google-fonts', 'https://fonts.googleapis.com/css?family=ABeeZee|Abel|Abhaya+Libre|Abril+Fatface|Aclonica|Acme|Actor|Alegreya|Alegreya+Sans|Anton|Archivo|Archivo+Black|Archivo+Narrow|Arimo|Arvo|Asap|Asap+Condensed|Bitter|Bowlby+One+SC|Bree+Serif|Cabin|Cairo|Catamaran|Crete+Round|Crimson+Text|Cuprum|Dancing+Script|Dosis|Droid+Sans|Droid+Serif|EB+Garamond|Exo|Exo+2|Faustina|Fira+Sans|Fjalla+One|Francois+One|Gloria+Hallelujah|Hind|Inconsolata|Indie+Flower|Josefin+Sans|Julee|Karla|Lato|Libre+Baskerville|Libre+Franklin|Lobster|Lora|Mada|Manuale|Maven+Pro|Merriweather|Merriweather+Sans|Montserrat|Montserrat+Subrayada|Mukta+Vaani|Muli|Noto+Sans|Noto+Serif|Nunito|Open+Sans|Open+Sans+Condensed:300|Oswald|Oxygen|PT+Sans|PT+Sans+Caption|PT+Sans+Narrow|PT+Serif|Pacifico|Passion+One|Pathway+Gothic+One|Play|Playfair+Display|Poppins|Questrial|Quicksand|Raleway|Roboto|Roboto+Condensed|Roboto+Mono|Roboto+Slab|Ropa+Sans|Rubik|Saira|Saira+Condensed|Saira+Extra+Condensed|Saira+Semi+Condensed|Sedgwick+Ave|Sedgwick+Ave+Display|Shadows+Into+Light|Signika|Slabo+27px|Source+Code+Pro|Source+Sans+Pro|Spectral|Titillium+Web|Ubuntu|Ubuntu+Condensed|Varela+Round|Vollkorn|Work+Sans|Yanone+Kaffeesatz|Zilla+Slab|Zilla+Slab+Highlight');
}
add_action('wp_enqueue_scripts','innovax_resources');

/** configure navigation **/
function innovax_setup() {
add_theme_support( 'post-formats', array ( 'aside', 'gallery', 'quote', 'image', 'video' ) );

register_nav_menus(array(
'primary'=>__('Primary'),
'footer'=>__('Footer'),
'social'=>__('Social'),

));
}
add_action( 'after_setup_theme', 'innovax_setup' );
add_theme_support( 'post-thumbnails' );
/** custom logo **/

require_once('custom/custom-logo.php');

/** Header **/

require_once('template-parts/header.php');

/** custom colors and fonts **/

require_once('custom/custom-colors.php');

require_once('custom/typography.php');

/** footer **/
require_once('template-parts/footer.php');

/** widget Register **/
require_once('template-parts/widget.php');

?>

