<?php
/**
 * The template for displaying Footer
 *
 * @package innovax
 */

class innovax_Footer_Customize{
        public static function register ( $wp_customize ) {
			/** Section footer **/
			
            $wp_customize->add_section('gec_footer', array(
                    'title'      => __( 'Footer', 'footer-contact' ),
                    'priority'   => 30,
                ));
			
			/** Background Color for footer**/
            $wp_customize->add_setting( 'gec_footer_bgcolor', array(
                    'default' => apply_filters( 'gec_footer_bgcolor', '#000' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
				
			/** Text color for footer **/
            $wp_customize->add_setting( 'gec_footer_headcolor', array(
                    'default' => apply_filters( 'gec_footer_headcolor', '#ffffff' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
			$wp_customize->add_setting( 'gec_footer_textcolor', array(
                    'default' => apply_filters( 'gec_footer_textcolor', '#ffffff' ),
                    'sanitize_callback' => 'sanitize_hex_color',
                    'type'           => 'option',
                ));
				
			/** Controls for footer settings **/					
            $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'gec_footer_bgcolor',
                    array(
                        'label'      => __( 'Background Color', 'footer-contact' ),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_bgcolor',
                    ) ));
            $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'gec_footer_headcolor',
                    array(
                        'label'      => __( 'Header Color', 'footer-contact' ),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_headcolor',
                    ) ) );
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'gec_footer_textcolor',
                    array(
                        'label'      => __( 'Text Color', 'footer-contact' ),
                        'section'    => 'gec_footer',
                        'settings'   => 'gec_footer_textcolor',
                    ) ) );
            
        }
        public static function inject_css()
        {
            $background = get_option('gec_footer_bgcolor');
            $textcolor = get_option('gec_footer_textcolor');
			$headcolor = get_option('gec_footer_headcolor');
            ?><style>
                .footer{
					background:<?php echo $background;?>;
					padding:50px 100px;
					text-align:center;
				}
				.footer h4{
					color:<?php echo $headcolor;?>;
				}
				.footer p{
					color:<?php echo $textcolor;?>;
					display:inline;
					padding:20px;
				}
				.footer i{
				color:#fff;
				}
				.copyright{
					background:<?php echo $background;?>; 
					color:<?php echo $textcolor;?>;
					padding:10px 30px 5px 30px;
				}
				.copyright p{
					text-align:center;
					color:<?php echo $textcolor;?>;
				}
				@media only screen and (max-width: 600px) {
					.footer{
						padding:50px 20px;
						text-align:center;
					}
				}
				@media only screen and (max-width: 800px) {
					.footer{
						padding:50px 20px;
						text-align:left;
					}
					.footer p{
						display:block;
						padding:10px;
					}
					
				}
				
            </style><?php  
        }
        public static function footer_html( $wp_customize ){       
            
			?>
			<div class="copyright">
				<p class="col-md-12"><?php bloginfo('name'); ?> &copy; <?php echo date('Y');?></p>
			</div>
			
						
  <?php }
    }
    add_action( 'customize_register' , array( 'innovax_Footer_Customize' , 'register' ) );
    add_action('wp_head',array( 'innovax_Footer_Customize' , 'inject_css' ));
    add_action('innovax_footer', array( 'innovax_Footer_Customize' , 'footer_html' ));
	
	?>